Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77883 - cvs is ingoring case of filenames
Summary: cvs is ingoring case of filenames
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cvs
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-14 19:17 UTC by Scott Otterson
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-29 18:14:56 UTC


Attachments (Terms of Use)

Description Scott Otterson 2002-11-14 19:17:11 UTC
In my repository, I have checked in two files with names: linmap.m and linMap.m
  I also have a directory checked out that contains only linMap.m

In this directory, if I type:

  cvs update

I see that most files are updated correctly.  But I also get this error message:

  cvs update: move away ./linmap.m; it is in the way
  C linmap.m

and the file linmap.m is not copied into the directory.  CVS is incorrectly
flagging the conflict because it's ignoring the filename case.

Comment 1 Scott Otterson 2002-11-14 19:39:59 UTC
I should add that I'm using remote CVS over ssh to update the directory without
the copy of linmap.m.  Maybe this has somthing to do with ssh?

Comment 2 Scott Otterson 2002-11-14 19:54:25 UTC
Actually, this probably is a ssh problem -- if I do scp to directly copy
linmap.m to the remote directory, linmap is still missing.  The remote directory
is on a VFAT32 partition.  The filenames are displayed with the correct case but
I wonder if ssh is ignoring it because it's using some old DOS interface.

Comment 3 jonathan 2003-01-01 19:53:57 UTC
I suspect the real issue is that VFAT32 is not case-sensitive!  Microsoft
filesystems are not case-sensitive, in my experience at least.

Try the same setup on an ext2 or ext3 filesystem; I expect all will be well.

Jonathan

Comment 4 Eido Inoue 2004-10-29 18:14:56 UTC
works on case-sensitive filesystems


Note You need to log in before you can comment on or make changes to this bug.